package cn.ibizlab.assetmanagement.core.workorder.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWorkOrder;
/**
 * 关系型数据实体[EAMWorkOrder] 查询条件对象
 */
@Slf4j
@Data
public class EAMWorkOrderSearchContext extends QueryWrapperContext<EAMWorkOrder> {

	private String n_workordername_like;//[工单名称]
	public void setN_workordername_like(String n_workordername_like) {
        this.n_workordername_like = n_workordername_like;
        if(!ObjectUtils.isEmpty(this.n_workordername_like)){
            this.getSearchCond().like("workordername", n_workordername_like);
        }
    }
	private String n_eamwotypeid_eq;//[工单类型标识]
	public void setN_eamwotypeid_eq(String n_eamwotypeid_eq) {
        this.n_eamwotypeid_eq = n_eamwotypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwotypeid_eq)){
            this.getSearchCond().eq("eamwotypeid", n_eamwotypeid_eq);
        }
    }
	private String n_assetid_eq;//[资产标识]
	public void setN_assetid_eq(String n_assetid_eq) {
        this.n_assetid_eq = n_assetid_eq;
        if(!ObjectUtils.isEmpty(this.n_assetid_eq)){
            this.getSearchCond().eq("assetid", n_assetid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_pworkorderid_eq;//[上级工单标识]
	public void setN_pworkorderid_eq(String n_pworkorderid_eq) {
        this.n_pworkorderid_eq = n_pworkorderid_eq;
        if(!ObjectUtils.isEmpty(this.n_pworkorderid_eq)){
            this.getSearchCond().eq("pworkorderid", n_pworkorderid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("workordername", query)   
            );
		 }
	}
}



